NNG_AIO_GET_OUTPUT(3)

NAME
nng_aio_get_output - return output result

SYNOPSIS

    #include <nng/nng.h>

    void *nng_aio_get_output(nng_aio *aio, unsigned int index);

DESCRIPTION

The nng_aio_get_output() function returns the output result at index resulting from the asynchronous operation associated with aio.

The type and semantics of output parameters are determined by specific operations.

    Note

    If the index does not correspond to a defined output for the operation, or the operation did not succeed, then the return value will be NULL.

    Important

    It is an error to call this function while the aio is currently in use by an active asynchronous operation, or if no operation has been performed using the aio yet.

RETURN VALUES

The indexth result of the operation, or NULL.

ERRORS

None.

SEE ALSO

nng_aio_alloc(3), nng_aio_get_output(3), nng_aio_set_input(3), nng_aio_result(3), nng_aio(5), nng(7)